%define name oracle-em-agent-13cR2-preinstall 
%define version 1.0
%define release 1.el7

Summary: Sets the system for Oracle Enterprise Manager Agent for Oracle Linux 7
Name: %{name}
Version: %{version}
Release: %{release}
Group: Test Environment/Libraries
License: GPLv2
Vendor:Oracle
Source: %{name}-%{version}.tar.gz
Provides: %{name} = %{version}

Requires:/etc/redhat-release

#As per em agent spec of 13cR2 for ol7
Requires:glibc make binutils libaio glibc-common libstdc++ 
Requires:sysstat openssh-clients openssh sudo
Requires:gcc

#System requirement
Requires:pam
Requires:kernel-uek


BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package installs software packages and sets system parameters required for Oracle  Enterprise Manager Agent for Oracle Linux 7
Files added : /etc/security/limits.d/oracle-em-agent-13cR2-preinstall.conf

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q


%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/security/limits.d
mkdir -p -m 700 $RPM_BUILD_ROOT/var/log/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sudoers.d

install -m 700 oracle-em-agent-13cR2-preinstall $RPM_BUILD_ROOT/usr/bin
install -m 600 oracle-em-agent-13cR2-preinstall.conf $RPM_BUILD_ROOT/etc/security/limits.d
install -m 600 oracle-em-agent-13cR2-preinstall.param $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 600 oracle-em-agent-13cR2-preinstall-sudo-conf $RPM_BUILD_ROOT/etc/sysconfig/%{name}
touch  $RPM_BUILD_ROOT/etc/sudoers.d/oracle-em-agent-13cR2-preinstall-sudo-conf


%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/usr/bin/oracle-em-agent-13cR2-preinstall 2> /dev/null 1>&2


%preun

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /var/log/%{name} ]; then
   rm -rf /var/log/%{name} 2> /dev/null
 fi
fi


%files
%defattr(-,root,root)
%doc COPYING
%config /etc/sysconfig/%{name}/oracle-em-agent-13cR2-preinstall.param
%config /etc/security/limits.d/oracle-em-agent-13cR2-preinstall.conf
%config /etc/sysconfig/%{name}/oracle-em-agent-13cR2-preinstall-sudo-conf
/usr/bin/oracle-em-agent-13cR2-preinstall
/var/log/%{name}
%ghost /etc/sudoers.d/oracle-em-agent-13cR2-preinstall-sudo-conf

%changelog
* Thu Nov 2 2017 Vasundhara Venkatasubramanian <vasundhara.venkatasubramanian@oracle.com> [1.0-1.el7]
 - Created 
